Sazabi
APIWebhooks

Get a webhook endpoint

Get a webhook endpoint and its subscriptions

GET https://api.sazabi.com/v1/webhooks/{webhookId}

GET
/webhooks/{webhookId}

Path Parameters

webhookId*string

Webhook endpoint to retrieve.

Formatuuid

Response Body

application/json

curl -X GET "https://example.com/webhooks/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "url": "http://example.com",  "status": "active",  "authHeaderName": "string",  "signingSecretRotatedAt": "2019-08-24T14:15:22Z",  "consecutiveFailures": 0,  "disabledAt": "2019-08-24T14:15:22Z",  "disabledReason": "string",  "createdAt": "2019-08-24T14:15:22Z",  "subscriptions": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "projectId": "5a8591dd-4039-49df-9202-96385ba3eff8",      "notificationTypes": [        "string"      ],      "severities": [        "low"      ],      "componentIds": [        "e154ef1c-4b8f-4d74-8bc8-4ceeb80b7eb6"      ],      "teamIds": [        "3320e832-c6a5-4b64-ade9-357b3004570a"      ]    }  ]}